{
This program will search the USER.LST of Telegard for users meeting the acs
requirement of security level 20, which is the security level I give my
unvalidated PIT new worshippers, and output each user's name, user number,
and city/province to a bulletin file with predefined colors using the
Telegard "CTRL-P" type idea.  It also ads the characters "@9" to the end
of the file to invoke a pause in Telegard before the screen scrolls.

Colors will vary accordingly with each SysOp's color definations.

Because this program is intended for personal use only, being programmed for
my unique PIT, it is set to search for the necessary files it needs in a
pre-defined Telegard path, and write its output to a predefined bulletin
file using MY color setup, but this program may be modified to search the
current directory for the Telegard files (needing to be in the Telegard main
directory to work) and output to any file.

This source code will also appear sloppy in structure because it was not
meant to look well, but to WORK well.

The way I use this is as the PIT worshippers are entering their separate
UNVALIDATED USERS message conference, this file is displayed so they will
know who is currently still left in the PIT and they won't be replying to
users that have since been validated and will not see their replies.  It's
just a convenience I added for the users.

Likewise, I have made another version of this program which searches for
users with a security level > 20 (Validated user list).


                            Lorick. . .
}

Program PitUsers;

Uses Crt;

{$I TELEGARD.INC}

Var
   User          : userrec;
   One           : File of userrec;
   Two           : Text;
   Path_to_Two   : String[255];
   Three         : String[3];
   C1            : Integer;
   C2            : Integer;
begin
  begin
    {$I-}
    Assign(One,'C:\TELEGARD\GFILES\USER.LST');
    Reset(One);
    {$I-}
    If IOResult <> 0 then
      begin
        Writeln('Error opening file:  USER.LST');
        Halt(1);
      end;
      {$I-}
      Assign (Two,'C:\TELEGARD\AFILES\PITUSERS.MSG');
      Rewrite(Two);
      {$I+}
    end;
    begin
      ClrScr;
      Writeln(Two,chr(3),'0','                  New Worshippers',chr(3),'0',' currently in ',chr(3),'3','The PIT');
      Writeln(Two,chr(3),'9','','','','','');
      Write(Two,chr(3),'9','',chr(3),'0','  # ',chr(3),'9',' ',chr(3),'0','   Name   ',' ':7,' ':18,chr(3),'9','');
      Writeln(Two,chr(3),'0', ' City',' ':30,chr(3),'9','');
      Writeln(Two,chr(3),'9','','','','','');
    end;
    begin
      C1 := 1;
      C2 := 1;
      Read (One,User);
      While (not EOF(One)) do
      begin
        Read (One,User);
        If User.sl = 20 then
          begin
            If Not (Udeleted in User.Flags) then
              begin
                If C1 < 1000 then
                  begin
                    Three:='XXX';
                  end;
                  If C1 < 100 then
                    begin;
                      Three:='XX';
                    end;
                    If C1 < 10 then
                      begin;
                        Three:='X';
                      end;
                      Write (Two,chr(3),'9', ' ',chr(3),'0',C1 , ' ':4 - Length (Three),chr(3),'9','');
                      Write (Two, ' ',chr(3),'0', User.Name, ' ' : 34 - Length( User.Name ),chr(3),'9',  '');
                      WriteLn(Two,' ',chr(3),'0',  User.CityState ,' ' :34 - Length( User.CityState ),chr(3),'9','');
                      Inc (C2);
                    end;
                  end;
                  Inc(C1);
                end;
                begin
                  Writeln('');
                  Writeln('');
                  Write(Two,chr(3),'9','','','');
                  WriteLn(Two,'','');
                  Writeln(Two,'');
                  Write(Two, chr(3),'0',' ':16,'Programmed by',chr(3),'0',' King Lorick -',chr(3),'3',' h xpm');
                  Writeln(Two,'@9');
                end;
                begin
                  {$I-}
                  Close(One);
                  {$I+}
                  {$I-}
                  Close(Two);
                  {$I+}
                end;
end;
end.
